Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/xpra: new aport

From: Stuart Cardall <developer_at_it-offshore.co.uk>
Date: Fri, 8 May 2015 14:16:12 +0000

http://xpra.org/ - this will solve sound & video from LXC containers
& has already been achieved in Docker: http://tinyurl.com/o9b3u4t

There is a problem running Xpra that appears to be related to musl's
non lazy loading https://www.xpra.org/trac/ticket/820
---
 testing/xpra/APKBUILD | 40 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)
 create mode 100644 testing/xpra/APKBUILD
diff --git a/testing/xpra/APKBUILD b/testing/xpra/APKBUILD
new file mode 100644
index 0000000..7c19ceb
--- /dev/null
+++ b/testing/xpra/APKBUILD
_at_@ -0,0 +1,40 @@
+# Contributor: Stuart Cardall <developer_at_it-offshore.co.uk>
+# Maintainer: Stuart Cardall <developer_at_it-offshore.co.uk>
+pkgname=xpra
+pkgver=0.14.23
+pkgrel=0
+pkgdesc="Xpra is 'screen for X' & allows you to run X programs, usually on a remote host over SSH or encrypted tcp."
+url="http://xpra.org"
+arch="all"
+license="GPLv2+"
+depends="py-gobject py-gtk py-imaging xf86-video-dummy xvfb setxkbmap"
+depends_dev="python-dev cython-dev libx11-dev libxtst-dev libxcomposite-dev libxdamage-dev libxrandr-dev py-gobject-dev py-gtk-dev
+		libxkbfile-dev gtk+2.0-dev x264-dev libvpx-dev ffmpeg-dev libwebp-dev"
+makedepends="$depends_dev"
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://xpra.org/src/$pkgname-$pkgver.tar.xz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+        cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+        cd "$_builddir"
+        python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="2be57701f6375b0bf1bfe9416b477c29  xpra-0.14.23.tar.xz"
+sha256sums="07887fd426e1014eade18b7cd3ad598f15c0dcf607c35a002e1b6d9453685afa  xpra-0.14.23.tar.xz"
+sha512sums="8e56ff25d4948498cab507f7e8e78a3cea5465743ad9ba44e5b6f4612a86b1bb472fa9f2432faeed8ebccb59075b3dd2b25ce53c012649a47ab2a239eef399b2  xpra-0.14.23.tar.xz"
-- 
2.4.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Fri May 08 2015 - 14:16:12 GMT